org.bouncycastle.jce.provider

## Class JCEBlockCipher.Twofish

- java.lang.Object
- - javax.crypto.CipherSpi
  - - org.bouncycastle.jce.provider.WrapCipherSpi
    - - org.bouncycastle.jce.provider.JCEBlockCipher
      - - org.bouncycastle.jce.provider.JCEBlockCipher.Twofish

All Implemented Interfaces:
  PBE

Enclosing class:
  JCEBlockCipher

    public static class JCEBlockCipher.Twofish
    extends JCEBlockCipher

Twofish

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JCEBlockCipher

`JCEBlockCipher.AES, JCEBlockCipher.AESCBC, JCEBlockCipher.AESCFB, JCEBlockCipher.AESOFB, JCEBlockCipher.Blowfish, JCEBlockCipher.BlowfishCBC, JCEBlockCipher.CAST5, JCEBlockCipher.CAST5CBC, JCEBlockCipher.CAST6, JCEBlockCipher.DES, JCEBlockCipher.DESCBC, JCEBlockCipher.DESede, JCEBlockCipher.DESedeCBC, JCEBlockCipher.GOST28147, JCEBlockCipher.GOST28147cbc, JCEBlockCipher.PBEWithAESCBC, JCEBlockCipher.PBEWithMD5AndDES, JCEBlockCipher.PBEWithMD5AndRC2, JCEBlockCipher.PBEWithSHA1AndDES, JCEBlockCipher.PBEWithSHA1AndRC2, JCEBlockCipher.PBEWithSHAAnd128BitRC2, JCEBlockCipher.PBEWithSHAAnd40BitRC2, JCEBlockCipher.PBEWithSHAAndDES2Key, JCEBlockCipher.PBEWithSHAAndDES3Key, JCEBlockCipher.PBEWithSHAAndTwofish, JCEBlockCipher.RC2, JCEBlockCipher.RC2CBC, JCEBlockCipher.RC5, JCEBlockCipher.RC564, JCEBlockCipher.RC6, JCEBlockCipher.Rijndael, JCEBlockCipher.SEED, JCEBlockCipher.Serpent, JCEBlockCipher.Skipjack, JCEBlockCipher.TEA, JCEBlockCipher.Twofish, JCEBlockCipher.XTEA`

### Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.WrapCipherSpi

`WrapCipherSpi.DESEDEWrap, WrapCipherSpi.RC2Wrap, WrapCipherSpi.RFC3211DESedeWrap`

### Nested classes/interfaces inherited from interface org.bouncycastle.jce.provider.PBE

`PBE.Util`

### Field Summary

### Fields inherited from class org.bouncycastle.jce.provider.WrapCipherSpi

`engineParams, pbeHash, pbeIvSize, pbeKeySize, pbeType, wrapEngine`

### Fields inherited from interface org.bouncycastle.jce.provider.PBE

`MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

### Constructor Summary

Constructors
Constructor and Description
`JCEBlockCipher.Twofish()`

### Method Summary

### Methods inherited from class org.bouncycastle.jce.provider.JCEBlockCipher

`engineDoFinal, engineDoFinal, engineGetBlockSize, engineGetIV, engineGetKeySize, engineGetOutputSize, engineGetParameters, engineInit, engineInit, engineInit, engineSetMode, engineSetPadding, engineUpdate, engineUpdate`

### Methods inherited from class org.bouncycastle.jce.provider.WrapCipherSpi

`engineUnwrap, engineWrap`

### Methods inherited from class javax.crypto.CipherSpi

`engineDoFinal, engineUpdate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JCEBlockCipher.Twofish

    public JCEBlockCipher.Twofish()